> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Folder Delete

> OAI docs folder delete, include files in folder

## 删除文件夹

**URL**: `/v1/docs/folder/delete`\
**方法**: `DELETE`\
**描述**: 删除一个文件夹。

### 请求参数

| 参数名        | 类型  | 描述       |
| ---------- | --- | -------- |
| folder\_id | str | 文件夹唯一 ID |

### 响应参数

| 参数名        | 类型   | 描述       |
| ---------- | ---- | -------- |
| doc\_ids   | list | 文档唯一 ID  |
| folder\_id | str  | 文件夹唯一 ID |

### 请求示例

**cURL**

```bash theme={null}
curl -X DELETE https://api.reportify.cn/v1/docs/folder/delete \
-H "Authorization: Bearer 447460****09c9" \
-H "Content-Type: application/json" \
-d '{
    "folder_id": "10134175594800134"
}'
```

**Python 示例**

```python theme={null}
import requests

url = "https://api.reportify.cn/v1/docs/folder/delete"
headers = {
    "Authorization": "Bearer 447460****09c9",
    "Content-Type": "application/json"
}
payload = {
    "folder_id": "10134175594800134"
}

response = requests.delete(url, headers=headers, json=payload)
print(response.json())
```

### 响应示例

```json theme={null}
{
    "doc_ids":["632486024552595"],
    "folder_id":"10134175594800134"
}
```


## OpenAPI

````yaml DELETE /v1/docs/folder/delete
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/docs/folder/delete:
    delete:
      tags:
        - openapi-files
      summary: Delete Folder
      description: OAI docs folder delete, include files in folder
      operationId: delete_folder_reportify_api_v1_docs_folder_delete_delete
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OAIFolderDeleteRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAIFolderDeleteResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    OAIFolderDeleteRequest:
      properties:
        folder_id:
          type: string
          title: Folder Id
      type: object
      required:
        - folder_id
      title: OAIFolderDeleteRequest
    OAIFolderDeleteResponse:
      properties:
        doc_ids:
          items:
            type: string
          type: array
          title: Doc Ids
        folder_id:
          type: string
          title: Folder Id
      type: object
      required:
        - doc_ids
        - folder_id
      title: OAIFolderDeleteResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````